## org.eclipse.xsd
Enum XSDXPathVariety

    java.lang.Object
      java.lang.Enum<XSDXPathVariety>
          org.eclipse.xsd.XSDXPathVariety

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDXPathVariety>, Enumerator

    public enum XSDXPathVariety

extends java.lang.Enum<XSDXPathVariety>
implements Enumerator

A representation of the literals of the enumeration 'XPath Variety'.

See Also:
  `XSDXPathDefinition.getVariety()`, `XSDPackage.getXSDXPathVariety()`

Enum Constant Summary
`FIELD_LITERAL` The 'Field' literal object
`SELECTOR_LITERAL` The 'Selector' literal object

Field Summary
`static int` `FIELD` The 'Field' literal value
`static int` `SELECTOR` The 'Selector' literal value
`static java.util.List<XSDXPathVariety>` `VALUES` A public read-only list of all the 'XPath Variety' enumerators

Method Summary
`static XSDXPathVariety` `get(int value)` Returns the 'XPath Variety' literal with the specified integer value
`static XSDXPathVariety` `get(java.lang.String literal)` Returns the 'XPath Variety' literal with the specified literal value
`static XSDXPathVariety` `getByName(java.lang.String name)` Returns the 'XPath Variety' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDXPathVariety` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDXPathVariety[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECTOR_LITERAL

    public static final XSDXPathVariety SELECTOR_LITERAL

  The 'Selector' literal object.

  See Also:
    `SELECTOR`

### FIELD_LITERAL

    public static final XSDXPathVariety FIELD_LITERAL

  The 'Field' literal object.

  See Also:
    `FIELD`

Field Detail

### SELECTOR

    public static final int SELECTOR

  The 'Selector' literal value.

  This is used to indicate that the XPath definition is a selector.

  See Also:
    `SELECTOR_LITERAL`, Constant Field Values

### FIELD

    public static final int FIELD

  The 'Field' literal value.

  This is used to indicate that the XPath definition is a field.

  See Also:
    `FIELD_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDXPathVariety> VALUES

  A public read-only list of all the 'XPath Variety' enumerators.

Method Detail

### values

    public static final XSDXPathVariety[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDXPathVariety c : XSDXPathVariety.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDXPathVariety valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDXPathVariety get(java.lang.String literal)

  Returns the 'XPath Variety' literal with the specified literal value.

### getByName

    public static XSDXPathVariety getByName(java.lang.String name)

  Returns the 'XPath Variety' literal with the specified name.

### get

    public static XSDXPathVariety get(int value)

  Returns the 'XPath Variety' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDXPathVariety>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.